HP iPAQ 6315

Dec 20, 2007 at 12:12 AM
Edited Dec 20, 2007 at 12:13 AM
Congratulations for your project, it seems to be extremely useful. But, I have a problem on running this program from my ppc(HP iPAQ 6315, Windows CE 2003). It cannot run on it, although the system doesn't returns any error message to me.
I got a warning message only when I installed it. It exactly said :
"The program is not compatible with the current operating system and, therefore, may not run on this device. Do you want to continue installation?"
I chose "Yes",but it didn't run appropriately.
I have to mention that I didn't run the ".NET Compact Framework 2.0 SP2" on my device nor on my PC, but I have installed the latest .NET framework on my PC. But, I think the PC have nothing to do with the problem as I am running the *.cab file from my PPC device.

Thank you in advance,
Prezakis.
Coordinator
Dec 21, 2007 at 6:54 PM


...but it didn't run appropriately.
I have to mention that I didn't run the ".NET Compact Framework 2.0 SP2" on my device nor on my PC, but I have installed the latest .NET framework on my PC. But, I think the PC have nothing to do with the problem as I am running the *.cab file from my PPC device.


What do you mean by it not running appropriately? How does it behave?

You do need to have compact framework installed on the device, I believe you will have an error telling that it is not installed in that case.

Aali
Dec 22, 2007 at 11:57 PM
Thank you for your fast reply. I appreciate it.
I have now install the ".NET Compact Framework 2.0 SP2" on my device and it reacts differently when I am trying to run it. It returns an error of missing a file(-library).Specifically,it is missing the 'Microsoft.WindowsMobile.Status,Version=1.0.0.0,Culture=neutral,PublicKeyToken=31BF3856AD364E35'
Can you help me with this? Have I to install any new libraries or copy any files to my device?
Coordinator
Dec 25, 2007 at 6:38 PM
Hmm, I did some investigation on HP iPAQ 6315, and it seems that it is Pocket PC Phone 2003 device, which is not supported at all since it does not have the WM 5.0 additions that I am using in the app. I think you are out of luck unless you can find a ROM upgrade to at least Windows Mobile 5.0 for your device. It should officially come from HP, but I doubt they have it available (haven't investigated that one though).

Aali